# FileListRec_s Struct Reference

## Data Fields

stat | fl_st
const char * | diskURL
const char * | fileURL
const char * | uname
const char * | gname
unsigned | flags
specdFlags | specdFlags
unsigned | verifyFlags
const char * | langs

## Detailed Description

Definition at line 55 of file files.c.

## Field Documentation

const char* FileListRec_s::diskURL

| Definition at line 67 of file files.c. Referenced by freeFileList(), genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::fileURL

| Definition at line 68 of file files.c. Referenced by freeFileList(), genCpioListAndHeader(), and processSourceFiles().

struct stat FileListRec_s::fl_st

| Definition at line 56 of file files.c. Referenced by processSourceFiles().

unsigned FileListRec_s::flags

| Definition at line 71 of file files.c. Referenced by genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::gname

| Definition at line 70 of file files.c. Referenced by genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::langs

| Definition at line 74 of file files.c. Referenced by checkHardLinks(), freeFileList(), genCpioListAndHeader(), and processSourceFiles().

specdFlags FileListRec_s::specdFlags

| Definition at line 72 of file files.c. Referenced by genCpioListAndHeader().

const char* FileListRec_s::uname

| Definition at line 69 of file files.c. Referenced by genCpioListAndHeader(), and processSourceFiles().

unsigned FileListRec_s::verifyFlags

| Definition at line 73 of file files.c. Referenced by genCpioListAndHeader(), and processSourceFiles().

The documentation for this struct was generated from the following file:

- build/files.c